org.gjt.sp.jedit.bsh

## Class UtilTargetError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.gjt.sp.jedit.bsh.UtilEvalError
      - - org.gjt.sp.jedit.bsh.UtilTargetError

All Implemented Interfaces:
  java.io.Serializable

    public class UtilTargetError
    extends UtilEvalError

UtilTargetError is an error corresponding to a TargetError but thrown by a utility or other class that does not have the caller context (Node) available to it. See UtilEvalError for an explanation of the difference between UtilEvalError and EvalError.

See Also:
  `UtilEvalError`, Serialized Form

### Field Summary

Fields
`java.lang.Throwable` `t`

### Constructor Summary

Constructors
Constructor and Description
`UtilTargetError(java.lang.String message, java.lang.Throwable t)`
`UtilTargetError(java.lang.Throwable t)`

### Method Summary

Methods
`EvalError` `toEvalError(java.lang.String msg, org.gjt.sp.jedit.bsh.SimpleNode node, CallStack callstack)` Override toEvalError to throw TargetError type.

### Methods inherited from class org.gjt.sp.jedit.bsh.UtilEvalError

`toEvalError`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### t

    public java.lang.Throwable t

### Constructor Detail

#### UtilTargetError

    public UtilTargetError(java.lang.String message,
                   java.lang.Throwable t)

#### UtilTargetError

    public UtilTargetError(java.lang.Throwable t)

### Method Detail

#### toEvalError

    public EvalError toEvalError(java.lang.String msg,
                        org.gjt.sp.jedit.bsh.SimpleNode node,
                        CallStack callstack)

Override toEvalError to throw TargetError type.

Overrides:
  `toEvalError` in class `UtilEvalError`
Parameters:
  `msg` - may be null for no additional message.